Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class QuerySolutionMap

    java.lang.Object
      com.hp.hpl.jena.sparql.core.QuerySolutionBase
          com.hp.hpl.jena.query.QuerySolutionMap

All Implemented Interfaces:
  QuerySolution

    public class QuerySolutionMap

extends com.hp.hpl.jena.sparql.core.QuerySolutionBase

Implementation of QuerySolution that is backed by an in-memory map.

Author:
  Andy Seaborne

Constructor Summary
`QuerySolutionMap()`

Method Summary
`void` | `add(java.lang.String name, com.hp.hpl.jena.rdf.model.RDFNode node)`
`java.lang.String` | `toString()`
`java.util.Iterator` | `varNames()` Iterate over the variable names (strings) in this QuerySolution.

Methods inherited from class com.hp.hpl.jena.sparql.core.QuerySolutionBase
`contains, get, getLiteral, getResource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QuerySolutionMap

    public QuerySolutionMap()

Method Detail

### add

    public void add(java.lang.String name,
                    com.hp.hpl.jena.rdf.model.RDFNode node)

### varNames

    public java.util.Iterator varNames()

  Description copied from interface: `QuerySolution`
  Iterate over the variable names (strings) in this QuerySolution.

  Specified by:
    `varNames` in interface `QuerySolution`
  Specified by:
    `varNames` in class `com.hp.hpl.jena.sparql.core.QuerySolutionBase`
  Returns:
    Iterator of strings

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP